Uniform Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Uniform Distributions:

## Classes

class | std::uniform_int_distribution< _IntType >
class | std::uniform_real_distribution< _RealType >

## Functions

template<typename _IntType >
bool | std::operator!= (const std::uniform_int_distribution< _IntType > &__d1, const std::uniform_int_distribution< _IntType > &__d2)
template<typename _IntType >
bool | std::operator!= (const std::uniform_real_distribution< _IntType > &__d1, const std::uniform_real_distribution< _IntType > &__d2)
template<typename _IntType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::uniform_int_distribution< _IntType > &)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::uniform_real_distribution< _RealType > &)
template<typename _IntType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &, std::uniform_int_distribution< _IntType > &)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &, std::uniform_real_distribution< _RealType > &)

## Detailed Description

## Function Documentation

## operator!=() [1/2]

template<typename _IntType >

bool std::operator!= | ( | const std::uniform_int_distribution< _IntType > & | __d1,
|  | const std::uniform_int_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two uniform integer distributions have different parameters.

Definition at line 1660 of file random.h.

References std::__detail::operator>>().

## operator!=() [2/2]

template<typename _IntType >

bool std::operator!= | ( | const std::uniform_real_distribution< _IntType > & | __d1,
|  | const std::uniform_real_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two uniform real distributions have different parameters.

Definition at line 1869 of file random.h.

References std::__detail::operator>>().

## operator<<() [1/2]

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::uniform_int_distribution< _IntType > & | __x
| ) |  |

Inserts a uniform_int_distribution random number distribution `__x` into the output stream `os`.

Parameters

  __os | An output stream.
  __x | A uniform_int_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 877 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

## operator<<() [2/2]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::uniform_real_distribution< _RealType > & | __x
| ) |  |

Inserts a uniform_real_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A uniform_real_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 936 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

## operator>>() [1/2]

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::uniform_int_distribution< _IntType > & | __x
| ) |  |

Extracts a uniform_int_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A uniform_int_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 898 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::uniform_int_distribution< _IntType >::param(), and std::skipws().

## operator>>() [2/2]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::uniform_real_distribution< _RealType > & | __x
| ) |  |

Extracts a uniform_real_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A uniform_real_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 960 of file bits/random.tcc.

References std::ios_base::flags(), std::uniform_real_distribution< _RealType >::param(), and std::skipws().